var gameRealTimeRankSkin=gameRealTimeRankSkin||{};
gameRealTimeRankSkin.AlwaysRankListItem=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameRealTimeRankSkin.AlwaysRankListItem,F2xContainer);
gameRealTimeRankSkin.AlwaysRankListItem.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d3=new gameRealTimeRankSkin.Gold();
	_d3.name="rankMc";
	s.rankMc=_d3;
	Flash2x.d(_d3,{x:49,y:-8.5});
	var _d2=Flash2x.t(0,decodeURI("***123a456789"),26,"#6B6A69","Microsoft YaHei",0,0,229,36,36.3,"center",false,true,"single",false);
	_d2.name="cidTxt";
	s.cidTxt=_d2;
	Flash2x.d(_d2,{x:174,y:2});
	var _d1=Flash2x.t(0,decodeURI("99999"),26,"#6B6A69","Microsoft YaHei",0,0,144,36,36.3,"center",false,true,"single",false);
	_d1.name="scoreTxt";
	s.scoreTxt=_d1;
	Flash2x.d(_d1,{x:408,y:2});
	var _d0=Flash2x.t(0,decodeURI("1"),26,"#6B6A69","Microsoft YaHei",0,0,156,36,36.3,"center",false,true,"single",false);
	_d0.name="rankTxt";
	s.rankTxt=_d0;
	Flash2x.d(_d0,{x:4,y:2});
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	s.addChild(_d3);
	//f2x_auto_created_init_end
	
};
